Subject: Re: bug#66406: Broken `re-search-forward' (?)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Oct 2023 05:28:00 +0300

> Cc: [email-masked]
> From: Paul Pogonyshev <[email-masked]>
> Date: Sun, 8 Oct 2023 22:06:23 +0200
> 
> > > In a recent Emacs master (as provided in Silex's Docker image):
> >
> > Any chance of knowing which commit precisely?
> 
> Not really, if you evaluate `emacs-repository-version' on Silex-image-packaged Emacs, result is nil.
> As far as I know, they are just built from Emacs VCS snapshot tarballs, but exact commit hash is lost
> in the build process.  This was even discussed before:
> https://github.com/Silex/docker-emacs/issues/86#issuecomment-1234266607 I don't know the
> details, but apparently GNU provides the snapshots ("archive tarballs are downloaded and
> unpacked"), so you could just inject revision number in the proper place and then get better bug
> reports. I'd provide commit number if I knew it somehow.
> 
> > I get 16 with today's master as well
> 
> Then it is apparently fixed already.

I also get 16, so I presume this bug was already fixed, and I'm
closing it.